Opened 10 years ago

Closed 10 years ago

Last modified 5 years ago

#124 closed bug (worksforme)

CIty field in register form does not always show a useful dropdown menu

Reported by: micha Owned by: Felix van Hove (steinwinde)
Priority: major Milestone: Legacy Resolved
Component: BW Profile Keywords: signup city dropdown countries
Cc:

Description

The city field and the attached dropdown menu sometimes produces an empty list of options. In addition, when I try to remedy this by removing what I have typed and type something different, the menu does not always update.

Not logged in

URL: http://alpha.bewelcome.org/signup.php

Steps:

  • Enter registration form
  • Select a location
  • Tab to city field
  • Type a city
  • Tab out of city field

(Receive empty menu)

  • Go back to city field, change text

Results:
The city dropdown does not update.

Expected result:
City dropdown should not be shown when empty.

Workaround:
Sometimes performing this process multiple times cures the problem

Attachments (1)

screenshot.png (11.9 KB) - added by micha 10 years ago.
Screenshot of the problem

Download all attachments as: .zip

Change History (4)

Changed 10 years ago by micha

Screenshot of the problem

comment:1 Changed 10 years ago by micha

  • Owner set to Felix van Hove (steinwinde)
  • Priority changed from major to critical

Comment by jeanyves hégron (jeanyves) - Sunday, 01 July 2007, 09:47 GMT+1 — Edit — Delete

It produce an empty list when nothing match. The city field is evaluated by the proposedcity function in FunctionTool? with an OnChange?() what is the equivalent for an "OnTab?()" ? Any idea ?
Comment by Felix van Hove (steinwinde) - Saturday, 21 July 2007, 13:27 GMT+1 — Edit — Delete

I had the impression to have fixed this at my local computer, but while testing I realized, that the city has to be known to the cities table - correct? But what should happen, if someone inserts an unknown city and moves the focus to "HouseNumber?" - instead of displaying an empty drop down? (My bugfix of the method ProposeCity? just suppressed the insertion of the drop-down and used an input hidden field with IdCity?=0 instead. Thus the user gets the error message "You must select a city" needlessly late after submitting the form. And the message not even makes sense to her/him.)
Comment by Philipp Lange (philipp) - Tuesday, 24 July 2007, 08:42 GMT+1 — Edit — Delete

I would suggest to: *us the Name of the City the user provided as input *let a warning appear that explains that this city is not in our list and probably a non existing city. It will be manually checked by our volunteers and therefor signup can take longer. *modify the signup tool to show a warning for non existing city *put the new city into a list displayed to geo volunteers in their tool (yet to program) to finally approve city and the linked regions.

comment:2 Changed 10 years ago by steinwinde

  • Priority changed from critical to major
  • Resolution set to worksforme
  • Status changed from new to closed

I'm pretty sure this bug was fixed months ago by me - steinwinde. Would be great, if someone could confirm it. (Besides this I wouldn't invest too much energy in the old signup form, because a general revision is planned for the next release.

comment:3 Changed 5 years ago by TimLoal

  • Component changed from BW General to BW Profile
  • Milestone changed from unassigned to Legacy Resolved
Note: See TracTickets for help on using tickets.